Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 2894013003: Replace sanitizers:deps with exe_and_shlib_deps (v8) (Closed)

Created:
2 years ago by Tom Anderson
Modified:
2 years ago
CC:
v8-reviews_googlegroups.com, devtools-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
v8
Visibility:
Public.

Description

Replace sanitizers:deps with exe_and_shlib_deps (v8) All targets (at least on sanitizer builds) unconditionally depend on //build/config/sanitizers:deps. It is necessary for bug 593874 that all targets now also depend on //buildtools/third_party/libc++:libcxx_proxy. This requires adding a new "global dependency": //build/config:exe_and_shlib_deps. This CL updates references to sanitizers:deps to instead refer to //build/config:exe_and_shlib_deps. BUG=chromium:723069 R=bradnelson@chromium.org Review-Url: https://codereview.chromium.org/2894013003 Cr-Commit-Position: refs/heads/master@{#45435} Committed: https://chromium.googlesource.com/v8/v8/+/cb7dd0a911adf91afbe9ebae3df84b56756087d3

Patch Set 1 #

Patch Set 2 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+12 lines, -12 lines) Patch
M BUILD.gn View 1 7 chunks +7 lines, -7 lines 0 comments Download
M test/cctest/BUILD.gn View 2 chunks +2 lines, -2 lines 0 comments Download
M test/inspector/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M test/mkgrokdump/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M test/unittests/BUILD.gn View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 33 (27 generated)
Tom Anderson
2 years ago (2017-05-18 23:53:22 UTC) #6
Tom Anderson
+additional v8 OWNERS
2 years ago (2017-05-19 21:19:34 UTC) #18
adamk
lgtm (based on my reading of the attached bug; a bit of detail in the ...
2 years ago (2017-05-19 21:28:03 UTC) #23
Tom Anderson
On 2017/05/19 21:28:03, adamk wrote: > lgtm (based on my reading of the attached bug; ...
2 years ago (2017-05-19 21:51:06 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2894013003/20001
2 years ago (2017-05-19 21:51:23 UTC) #29
commit-bot: I haz the power
2 years ago (2017-05-19 21:52:57 UTC) #33
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/v8/v8/+/cb7dd0a911adf91afbe9ebae3df84b56756...

Powered by Google App Engine
This is Rietveld 408576698